ExternalDependency (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.tooling.model

## Interface ExternalDependency

- All Superinterfaces:
    `Dependency`
  All Known Subinterfaces:
    `EclipseExternalDependency`, `IdeaSingleEntryLibraryDependency`

      public interface ExternalDependency
      extends Dependency

  Represents an external artifact dependency.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getFile​()` | Returns the file for this dependency.
    `GradleModuleVersion` | `getGradleModuleVersion​()` | Returns the Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
    `java.io.File` | `getJavadoc​()` | Returns the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.
    `java.io.File` | `getSource​()` | Returns the source directory or archive for this dependency, or `null` if no source is available.
    `boolean` | `isExported​()` | Marks this dependency as exported.

- - ### Method Detail

    - #### getFile

          java.io.File getFile​()

      Returns the file for this dependency.
      Returns:
        The file for this dependency.

    - #### getSource

          @Nullable
          java.io.File getSource​()

      Returns the source directory or archive for this dependency, or `null` if no source is available.
      Returns:
        The source directory or archive for this dependency, or `null` if no source is available.

    - #### getJavadoc

          @Nullable
          java.io.File getJavadoc​()

      Returns the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.
      Returns:
        the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.

    - #### isExported

          boolean isExported​()

      Marks this dependency as exported.
      Returns:
        whether this dependency needs to be exported.
      Since:
        2.5

    - #### getGradleModuleVersion

          @Nullable
          GradleModuleVersion getGradleModuleVersion​()

      Returns the Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
      Returns:
        The Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
      Since:
        1.1